CREATE TABLE TOOL_MILL_XXXX
(
  TOOL_REFERENCE_NUMBER Integer,
  DESCRIPTION Varchar(128),
  TOOL_CLASS Integer,
  TOOL_UNITS Integer,
  TOOL_NUMBER Integer,
  LENGTH_OFFSET_NUMBER Integer,
  DIAMETER_OFFSET_NUMBER Integer,
  CORNER_RADIUS Double precision,
  TOTAL_RADIUS Double precision,
  SHANK_RADIUS Double precision,
  ROUGH_STOCK_VALUE Double precision,
  FLUTE_HEIGHT Double precision,
  TOTAL_HEIGHT Double precision,
  TOOL_TAPER_ANGLE Double precision,
  TOOL_TIP_ANGLE Double precision,
  NECK_DIAMETER Double precision,
  CORNER_ROUND_RADIUS Double precision,
  NECK_BODY_LENGTH Double precision,
  FLUTE_NUMBER Integer,
  TOOL_MATERIAL Integer,
  COOLANT Integer,
  SCALLOP_OR_INCREMENT Integer,
  SCALLOP_INCREMENT_VALUE Double precision,
  SURFACE_TOLERANCE Double precision,
  SURFACE_STOCK_VALUE Double precision,
  FLUTE_CHIP_LOAD Double precision,
  TIP_OR_CENTER Integer,
  TOOL_FILE Varchar(128),
  DYNAMIC_TOOL_ROTATION Integer,
  HOLDER_FILE Varchar(128),
  DYNAMIC_HOLDER_ROTATION Integer,
  TOOL_FILE_A Varchar(128),
  DYNAMIC_TOOL_A_ROTATION Integer,
  TOOL_FILE_B Varchar(128),
  DYNAMIC_TOOL_B_ROTATION Integer,
  TOOL_FILE_C Varchar(128),
  DYNAMIC_TOOL_C_ROTATION Integer
);
UPDATE RDB$RELATIONS set
RDB$DESCRIPTION = '206 "ZZZZ"'
where RDB$RELATION_NAME = 'TOOL_MILL_XXXX';
GRANT DELETE, INSERT, REFERENCES, SELECT, UPDATE
 ON TOOL_MILL_XXXX TO  SYSDBA WITH GRANT OPTION;

CREATE TABLE TOOL_DRILL_XXXX
(
  TOOL_REFERENCE_NUMBER Integer,
  DESCRIPTION Varchar(40),
  TOOL_CLASS Integer,
  TOOL_UNITS Integer,
  TOOL_NUMBER Integer,
  LENGTH_OFFSET_NUMBER Integer,
  DIAMETER_OFFSET_NUMBER Integer,
  CORNER_RADIUS Double precision,
  TOTAL_RADIUS Double precision,
  SHANK_RADIUS Double precision,
  FLUTE_HEIGHT Double precision,
  TOTAL_HEIGHT Double precision,
  TOOL_TAPER_ANGLE Double precision,
  TOOL_TIP_ANGLE Double precision,
  FLUTE_NUMBER Integer,
  TOOL_MATERIAL Integer,
  COOLANT Integer,
  SCALLOP_OR_INCREMENT Integer,
  SCALLOP_INCREMENT_VALUE Double precision,
  SURFACE_TOLERANCE Double precision,
  SURFACE_STOCK_VALUE Double precision,
  FLUTE_CHIP_LOAD Double precision,
  TIP_OR_CENTER Integer,
  TOOL_FILE Varchar(128),
  DYNAMIC_TOOL_ROTATION Integer,
  HOLDER_FILE Varchar(128),
  DYNAMIC_HOLDER_ROTATION Integer,
  TOOL_FILE_A Varchar(128),
  DYNAMIC_TOOL_A_ROTATION Integer,
  TOOL_FILE_B Varchar(128),
  DYNAMIC_TOOL_B_ROTATION Integer,
  TOOL_FILE_C Varchar(128),
  DYNAMIC_TOOL_C_ROTATION Integer
);
UPDATE RDB$RELATIONS set
RDB$DESCRIPTION = '202 "ZZZZ"'
where RDB$RELATION_NAME = 'TOOL_DRILL_XXXX';
GRANT DELETE, INSERT, REFERENCES, SELECT, UPDATE
 ON TOOL_DRILL_XXXX TO  SYSDBA WITH GRANT OPTION;

COMMIT;

INSERT INTO TOOL_MILL_XXXX (TOOL_REFERENCE_NUMBER, DESCRIPTION, TOOL_CLASS, TOOL_UNITS, TOOL_NUMBER, LENGTH_OFFSET_NUMBER, DIAMETER_OFFSET_NUMBER, CORNER_RADIUS, TOTAL_RADIUS, SHANK_RADIUS, ROUGH_STOCK_VALUE, FLUTE_HEIGHT, TOTAL_HEIGHT, TOOL_TAPER_ANGLE, TOOL_TIP_ANGLE, NECK_DIAMETER, CORNER_ROUND_RADIUS, NECK_BODY_LENGTH, FLUTE_NUMBER, TOOL_MATERIAL, COOLANT, SCALLOP_OR_INCREMENT, SCALLOP_INCREMENT_VALUE, SURFACE_TOLERANCE, SURFACE_STOCK_VALUE, FLUTE_CHIP_LOAD, TIP_OR_CENTER, TOOL_FILE, DYNAMIC_TOOL_ROTATION, HOLDER_FILE, DYNAMIC_HOLDER_ROTATION, TOOL_FILE_A, DYNAMIC_TOOL_A_ROTATION, TOOL_FILE_B, DYNAMIC_TOOL_B_ROTATION, TOOL_FILE_C, DYNAMIC_TOOL_C_ROTATION) VALUES ('2069', '1mm   -   2 leik - HSS Tappijyrsin', '1', '1', '69', '69', '69', '0.000000', '0.500000', '2.000000', '0.750000', '7.000000', '39.000000', '0.000000', '0.000000', '0.000000', '0.000000', '0.000000', '2', '0', '1', '1', '2.000000', '0.025000', '0.000000', '0.010000', '0', '', '1', '', '1', '', '1', '', '1', '', '1');

INSERT INTO TOOL_DRILL_XXXX (TOOL_REFERENCE_NUMBER, DESCRIPTION, TOOL_CLASS, TOOL_UNITS, TOOL_NUMBER, LENGTH_OFFSET_NUMBER, DIAMETER_OFFSET_NUMBER, CORNER_RADIUS, TOTAL_RADIUS, SHANK_RADIUS, FLUTE_HEIGHT, TOTAL_HEIGHT, TOOL_TAPER_ANGLE, TOOL_TIP_ANGLE, FLUTE_NUMBER, TOOL_MATERIAL, COOLANT, SCALLOP_OR_INCREMENT, SCALLOP_INCREMENT_VALUE, SURFACE_TOLERANCE, SURFACE_STOCK_VALUE, FLUTE_CHIP_LOAD, TIP_OR_CENTER, TOOL_FILE, DYNAMIC_TOOL_ROTATION, HOLDER_FILE, DYNAMIC_HOLDER_ROTATION, TOOL_FILE_A, DYNAMIC_TOOL_A_ROTATION, TOOL_FILE_B, DYNAMIC_TOOL_B_ROTATION, TOOL_FILE_C, DYNAMIC_TOOL_C_ROTATION) VALUES ('2001', '1.0mm HSS Pora', '1', '1', '1', '1', '1', '0.000000', '0.500000', '0.500000', '2.500000', '20.000000', '0.000000', '118.000000', '2', '0', '1', '0', '0.000000', '0.000000', '0.000000', '0.020000', '0', '  ', '1', '  ', '1', '  ', '1', '  ', '1', '  ', '1');

COMMIT;
